Get activities authored by the specified user, plus EthosAgent saves credited to them
POST
/activities/profile/given
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.ethos.network/api/v2/activities/profile/given"), Content = new StringContent("{ \"userkey\": \"example\", \"filter\": [ \"attestation\" ], \"excludeHistorical\": true, \"excludeSpam\": true, \"excludeUnverified\": true, \"excludeBoostedReviews\": true, \"orderBy\": { \"field\": \"timestamp\", \"direction\": \"desc\" }, \"reviewScore\": \"NEGATIVE\", \"minAuthorScore\": 1, \"limit\": 50, \"offset\": 0 }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/activities/profile/given"
payload := strings.NewReader("{ \"userkey\": \"example\", \"filter\": [ \"attestation\" ], \"excludeHistorical\": true, \"excludeSpam\": true, \"excludeUnverified\": true, \"excludeBoostedReviews\": true, \"orderBy\": { \"field\": \"timestamp\", \"direction\": \"desc\" }, \"reviewScore\": \"NEGATIVE\", \"minAuthorScore\": 1, \"limit\": 50, \"offset\": 0 }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"userkey\": \"example\", \"filter\": [ \"attestation\" ], \"excludeHistorical\": true, \"excludeSpam\": true, \"excludeUnverified\": true, \"excludeBoostedReviews\": true, \"orderBy\": { \"field\": \"timestamp\", \"direction\": \"desc\" }, \"reviewScore\": \"NEGATIVE\", \"minAuthorScore\": 1, \"limit\": 50, \"offset\": 0 }");Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/activities/profile/given") .post(body) .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.ethos.network/api/v2/activities/profile/given', headers: {'Content-Type': 'application/json'}, data: { userkey: 'example', filter: ['attestation'], excludeHistorical: true, excludeSpam: true, excludeUnverified: true, excludeBoostedReviews: true, orderBy: {field: 'timestamp', direction: 'desc'}, reviewScore: 'NEGATIVE', minAuthorScore: 1, limit: 50, offset: 0 }};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/activities/profile/given';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"userkey":"example","filter":["attestation"],"excludeHistorical":true,"excludeSpam":true,"excludeUnverified":true,"excludeBoostedReviews":true,"orderBy":{"field":"timestamp","direction":"desc"},"reviewScore":"NEGATIVE","minAuthorScore":1,"limit":50,"offset":0}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/activities/profile/given";
let payload = json!({ "userkey": "example", "filter": ("attestation"), "excludeHistorical": true, "excludeSpam": true, "excludeUnverified": true, "excludeBoostedReviews": true, "orderBy": json!({ "field": "timestamp", "direction": "desc" }), "reviewScore": "NEGATIVE", "minAuthorScore": 1, "limit": 50, "offset": 0 });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.ethos.network/api/v2/activities/profile/given \ --header 'Content-Type: application/json' \ --data '{ "userkey": "example", "filter": [ "attestation" ], "excludeHistorical": true, "excludeSpam": true, "excludeUnverified": true, "excludeBoostedReviews": true, "orderBy": { "field": "timestamp", "direction": "desc" }, "reviewScore": "NEGATIVE", "minAuthorScore": 1, "limit": 50, "offset": 0 }'wget --quiet \ --method POST \ --header 'Content-Type: application/json' \ --body-data '{ "userkey": "example", "filter": [ "attestation" ], "excludeHistorical": true, "excludeSpam": true, "excludeUnverified": true, "excludeBoostedReviews": true, "orderBy": { "field": "timestamp", "direction": "desc" }, "reviewScore": "NEGATIVE", "minAuthorScore": 1, "limit": 50, "offset": 0 }' \ --output-document \ - https://api.ethos.network/api/v2/activities/profile/givenRequest Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
userkey
required
string
filter
Array<string>
excludeHistorical
boolean
excludeSpam
boolean
excludeUnverified
boolean
excludeBoostedReviews
boolean
orderBy
object
field
required
string
direction
required
string
reviewScore
Any of:
string
Array<string>
minAuthorScore
integer
limit
integer
offset
integer
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
values
required
Array<object>
object
total
required
number
limit
required
number
offset
required
number
Example generated
{ "values": [ {} ], "total": 1, "limit": 1, "offset": 1}Invalid input data
Media typeapplication/json
Invalid input data error (400)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "BAD_REQUEST", "message": "Invalid input data", "issues": []}Internal server error
Media typeapplication/json
Internal server error error (500)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}